Send Boleto payment message (Brazil)

Send Boleto payment message (Brazil) — one message type of POST /partner/bizgate/app/{appId}/messaging; send the cURL below as shown.

Variant: Boleto payment (Brazil).

Request parameters

Path parameters

KeyDescriptionValuesData TypeRequired/Optional
appIdIdentifier of the WhatsApp app the call acts on.6f414190-d45c-4671-bca1-fb6c3018cb13StringRequired

Body

KeyDescriptionValuesData TypeRequired/Optional
messaging_productAlways "whatsapp".whatsapp—Required
recipient_typeAlways "individual"; group recipients are not supported here.individual—Optional
toE.164 without +12XXXXXXX92—Required
typetext, template, image, …template—Optional
templateRequired when type=template——Optional
curl --request POST \
  --url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/messaging' \
  --header 'Authorization: Bearer <UT>' \
  --header 'Content-Type: application/json' \
  --data '{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "55XXXXXXXXX62",
  "type": "interactive",
  "interactive": {
    "type": "order_details",
    "body": {
      "text": "Seu boleto para o pedido #10482"
    },
    "action": {
      "name": "review_and_pay",
      "parameters": {
        "reference_id": "reference-id-76126787",
        "type": "digital-goods",
        "payment_type": "br",
        "payment_settings": [
          {
            "type": "boleto",
            "boleto": {
              "digitable_line": "846600000000440000641009013645834345925078459722"
            }
          }
        ],
        "currency": "BRL",
        "total_amount": {
          "value": 100,
          "offset": 100
        },
        "order": {
          "status": "pending",
          "tax": {
            "value": 0,
            "offset": 100,
            "description": "optional text"
          },
          "items": [
            {
              "retailer_id": "1234567",
              "name": "Cake",
              "amount": {
                "value": 100,
                "offset": 100
              },
              "quantity": 1
            }
          ],
          "subtotal": {
            "value": 100,
            "offset": 100
          }
        }
      }
    }
  }
}
'

Sample success response (200)

{
  "messages": [
    {
      "id": "GUPSHUP_MESSAGE_ID"
    }
  ],
  "messaging_product": "whatsapp",
  "contacts": [
    {
      "input": "DESTINATION_PHONE_NO",
      "wa_id": "DESTINATION_PHONE_NO"
    }
  ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Identifier of the WhatsApp app the call acts on.

Body Params

WhatsApp Cloud API passthrough message (application/json).

string
required

Always "whatsapp".

string

Always "individual"; group recipients are not supported here.

string
required

E.164 without +

string

text, template, image, …

template
object

Required when type=template

Responses

Language
Credentials
Bearer
Universal Token (UT)
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json